Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.http.proxy
Class HttpRequestHdr

    java.lang.Object
      org.apache.jmeter.protocol.http.proxy.HttpRequestHdr

public class HttpRequestHdr
extends Object

The headers of the client HTTP request.

Constructor Summary
`HttpRequestHdr()`
`HttpRequestHdr(HTTPSamplerBase sampler)`

Method Summary
`HeaderManager` | `getHeaderManager()`
`HTTPSamplerBase` | `getSampler()` Deprecated. use the getSampler(HashMap pageEncodings, HashMap formEncodings) instead, since that properly handles the encodings of the page
`HTTPSamplerBase` | `getSampler(Map pageEncodings, Map formEncodings)`
`String` | `getUrl()` Returns the url string extracted from the first line of the client request.
`byte[]` | `parse(InputStream in)` Parses a http header from a stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpRequestHdr

    public HttpRequestHdr()

### HttpRequestHdr

    public HttpRequestHdr(HTTPSamplerBase sampler)

Parameters:
  `sampler` - the http sampler

Method Detail

### parse

    public byte[] parse(InputStream in)
                 throws IOException

  Parses a http header from a stream.

  Parameters:
    `in` - the stream to parse.
  Returns:
    array of bytes from client.
  Throws:
    `IOException`

### getHeaderManager

    public HeaderManager getHeaderManager()

### getSampler

    public HTTPSamplerBase getSampler(Map pageEncodings,
                                      Map formEncodings)
                               throws MalformedURLException,
                                      IOException

  Throws:
    `MalformedURLException`
    `IOException`

### getSampler

    public HTTPSamplerBase getSampler()
                               throws MalformedURLException,
                                      IOException,
                                      ProtocolException

  Deprecated. use the getSampler(HashMap pageEncodings, HashMap formEncodings) instead, since that properly handles the encodings of the page

  Returns:
    the sampler
  Throws:
    `MalformedURLException`
    `IOException`
    `ProtocolException`

### getUrl

    public String getUrl()

  Returns the url string extracted from the first line of the client request.

  Returns:
    the url

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.